import { useQuery } from '@tanstack/react-query';

import { triumphsQueryKeys } from '../triumphs-query-keys';
import { triumphsApi, type PostGetDates } from '../triumphs-api';

import type { BaseAxiosError } from '../../../../types';

export const useGetTriumphsDates = (enabled: boolean) => {
  return useQuery<PostGetDates, BaseAxiosError>({
    queryKey: triumphsQueryKeys.getDates(),
    queryFn: async () => {
      const response = await triumphsApi.getDates();
      return response.data;
    },
    enabled
  });
};
