import { useQuery } from '@tanstack/react-query';

import { triumphsQueryKeys } from '../triumphs-query-keys';
import { triumphsApi, type PostGetData } from '../triumphs-api';

import type { BaseAxiosError } from '../../../../types';

export const useGetTriumphsData = (date: string, enabled: boolean) => {
  return useQuery<PostGetData, BaseAxiosError>({
    queryKey: triumphsQueryKeys.getData(date),
    queryFn: async () => {
      const response = await triumphsApi.getData(date);
      return response.data;
    },
    enabled
  });
};
